Bug 18403 - zipfileset prefix option does not create directory in archive
zipfileset prefix option does not create directory in archive
Status: RESOLVED FIXED
Product: Ant
Classification: Unclassified
Component: Core tasks
1.5.2
PC All
: P3 normal (vote)
: 1.5.3
Assigned To: Ant Notifications List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2003-03-27 09:18 UTC by Patrick Martin
Modified: 2005-03-20 17:06 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Martin 2003-03-27 09:18:39 UTC
Given the following build process:

<zip destfile="b.zip" filesonly="false">
  <zipfileset src="a.zip" prefix="test" includes="**"/>
</zip>

There is no entry created for the directory "test" in b.zip.

This was working in 1.5.1 but is not working anymore in 1.5.2 nor 1.5.3Beta1.

This causes a problem for war/ear files where the J2EE container might search 
for the directory inside the archive file
Comment 1 Stefan Bodewig 2003-03-27 10:09:23 UTC
fixed in CVS HEAD as well as in the 1.5 branch, which means it will be fixed in
1.5.3 and 1.6 and you can verify the fix by using nightly build 2003-03-28
or later.